﻿@model Portal_Proveedor.Models.OnBase.Documentos
@{
    ViewBag.Title = "ImportarFactura";
    Layout = "~/Views/Shared/_Layout.cshtml";
    <script src="@Url.Content("~/Scripts/jquery.mask.js")"></script>
}

<br />
<div class="cotainer">
    @using (Html.BeginForm("ImportaFactura", "OnBase", FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal" }))
    {
        @Html.HiddenFor(m => m.montoPO)
        @Html.HiddenFor(m => m.codigoProveedor)
        @Html.HiddenFor(m => m.idPO)
        @Html.HiddenFor(m => m.montoRestante)
        <fieldset>


            @if (Model.tieneConstancia != null)
            {
                <div class="alert alert-danger" role="alert">
                    @Model.tieneConstancia
                </div>
            }

            <!-- Form Name -->
            <legend>Importar factura</legend>
            <div class="form-group">
                <label class="col-md-4 control-label" for="fname">N&uacute;mero de OC</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.numPO, null, new { id = "numPO", name = "numPO", placeholder = "Número de la orden de compra", @class = "form-control input-md", @readonly = "readonly" })

                </div>
            </div>

            <!-- Text input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="email">N&uacute;mero MIGO/Servicio</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.numMigo, null, new { id = "numMigo", name = "numMigo", placeholder = "Número Migo", @class = "form-control input-md", @readonly = "readonly" })
                </div>
            </div>

            <!-- Text input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="fname">N&uacute;mero de factura</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.numFiscal, null, new { id = "numFiscal", name = "numFiscal", placeholder = "Número fiscal", @class = "form-control input-md", required = "", title = "Ingrese el número de factura" })

                </div>
            </div>

            <!-- Text input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="fname">N&uacute;mero CAI</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.numeroCAI, null, new { id = "numCAI", name = "numCAI", placeholder = "Número CAI", @class = "form-control input-md", required = "", title = "Ingrese el número CAI", maxlength = "37" })

                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" for="fname">Fecha de emisi&oacute;n</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.fechaDeEmision, null, new { id = "fechaEmision", name = "fechaEmision", placeholder = "Fecha de emisión", @class = "form-control input-md", required = "", title = "Ingrese la fecha de emisión de la factura" })

                </div>
            </div>

            @*<div class="form-group">
                <label class="col-md-4 control-label" for="fname">Fecha de vencimiento</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.fechaDeVencimiento, null, new { id = "fechaVencimiento", name = "fechaVencimiento", placeholder = "Fecha de vencimiento", @class = "form-control input-md", required = "", title = "Ingrese la fecha de vencimiento de la factura" })

                </div>
            </div>*@

            <!-- Text input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="lname">Monto sin impuesto</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.montoSinImpuesto, null, new { id = "montosinImp", name = "montosinImp", placeholder = "Monto sin impuesto", @class = "form-control input-md", required = "", title = "Ingrese el monto sin impuestos" })

                </div>
            </div>
            <!-- Password input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="password">Impuesto</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.impuesto, null, new { id = "imp", name = "imp", type = "text", placeholder = "Impuesto", @class = "form-control input-md", required = "", title = "Ingrese los impuestos" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label" for="password">Monto total</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.montoTotal, null, new { id = "montoTotal", name = "montoTotal", type = "text", placeholder = "Monto total", @class = "form-control input-md", @readonly = "readonly", title = "Este es un calculo automático" })
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label" for="password">Importar factura</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.filePathFactura, new { type = "file", @id = "file", @name = "file", @class = "form - control - file input-md", required = "", title = "La factura debe estar en formato PDF" })

                </div>
            </div>
            <div class="form-group">
                <label class="col-md-4 control-label" for="password">Documentos de Soporte</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.files, new { type = "file", @id = "file2", @name = "file2", multiple = "multiple", @class = "form - control - file input-md", title = "Seleccione los documentos soporte de la factura" })

                </div>
            </div>
            <!-- Button (Double) -->
            <div class="form-group">
                <label class="col-md-4 control-label" for="save"></label>
                <div class="col-md-8">
                    <input type="submit" value="Importar" class="btn btn-info" />
                    @*<button id="clear" name="clear" class="btn btn-danger">Cancelar</button>*@
                </div>
            </div>
        </fieldset>
    }
</div>

<script>

    $('#file').change(function () {
        var ext = this.value.match(/\.(.+)$/)[1];
        switch (ext) {
            case 'pdf':
            case 'PDF':
                $('#uploadButton').attr('disabled', false);
                break;
            default:
                alert('Solo puede adjuntar archivos en formato PDF.');
                this.value = '';
        }
    });

    $('#fechaEmision').change(function () {
        var myDate = new Date($('#fechaEmision').val());
        var today = new Date();
        if (myDate > today) {
            alert('La fecha de emisión no puede ser mayor al día de hoy');
            //Alerta("error", "La fecha de emisión no puede ser mayor al día de hoy");
            $('#fechaEmision').val('');
        }
    });


    $(function () {
        //$('#numCAI').mask('AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA')
        $('#numFiscal').mask('000-000-00-00000000')
        $("#fechaEmision").datepicker({ dateFormat: 'dd/MM/yy', maxDate: "0D" });
        $("#fechaVencimiento").datepicker({ dateFormat: 'dd/MM/yy' });

        $('#montosinImp').mask("#,##0.00", { reverse: true });
        $('#imp').mask("#,##0.00", { reverse: true });
        $('#montoTotal').mask("#,##0.00", { reverse: true });

        $("#imp").change(function () {
            if ($("#imp").val() != "" && $("#montosinImp").val() != "") {
                var montoSI = $("#montosinImp").val();
                var impt = $("#imp").val();
                montoSI = montoSI.replace(/,/g, "");
                impt = impt.replace(/,/g, "");
                var total = parseFloat(impt) + parseFloat(montoSI);   
                total = total.toFixed(2);
                var montoFinal = total.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                $("#montoTotal").val(montoFinal);
                $("#montoTotal")
            } else if ($("#imp").val() == "" || $("#montosinImp").val() == "montoSI") {
                $("#montoTotal").val("");
            }
        });
        $("#montosinImp").change(function () {
            if ($("#imp").val() != "" && $("#montosinImp").val() != "") {
                var montoSI = $("#montosinImp").val();
                var impt = $("#imp").val();
                montoSI = montoSI.replace(/,/g, "");
                impt = impt.replace(/,/g, "");
                var total = parseFloat(impt) + parseFloat(montoSI);
                total = total.toFixed(2);
                var montoFinal = total.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
                $("#montoTotal").val(montoFinal);
            } else if ($("#imp").val() == "" || $("#montosinImp").val() == "") {
                $("#montoTotal").val("");
            }
        });

    });
</script>
